
$regfile = "attiny13.dat"
$crystal = 1200000
$hwstack = 8
$swstack = 8
$framesize = 8

Config Scl = Portb.3                                        ' Ports fuer IIC-Bus
Config Sda = Portb.4
Config I2cdelay = 20

Const Slaveid = &H52                                        ' 8-bit-Adresse (umgewandelte 7-bit-Adr. &H29)
Const Slave_read = &H53


Open "comb.1:9600,8,n,1,INVERTED" For Output As #1

Dim Lux As Word
Dim Lob As Byte
Dim Hib As Byte

I2cinit
Waitms 100


  I2cstart
  I2cwbyte Slaveid
  I2cwbyte &H80                                             ' &H00 AND &H80 -> Command register
  I2cwbyte &H03                                             ' normal operation
  I2cstop
'  Print #1, "Error0 "; Err

  Waitms 100
  I2cstart
  I2cwbyte Slaveid
  I2cwbyte &H81                                             ' H01 AND &H80 -> Control register
'  I2cwbyte &H02                                             ' M = 4, T = 100ms (Multiplikator und Messzeit)
  I2cwbyte &H00                                             ' M = 1, T = 400 ms -> Lux-Maximum 65535
  I2cstop

  Do

      I2cstart
      I2cwbyte Slaveid
      I2cwbyte &H84                                         ' &H04 AND &H80 -> Data Lowbyte
      I2cstart
      I2cwbyte Slave_read
      I2crbyte Lob , Ack
      I2crbyte Hib , Ack                                    ' Register wird beim Lesen inkrementiert -> Data Highbyte
      I2cstop

      Lux = Makeint(lob , Hib)
      Print #1 , "Helligkeit: " ; Lux ; " Lux"
      Waitms 100

  Loop

End